package net.northking.cctp.element.internal.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

public enum ReportTypeEnum implements EnumClass {


    Json("json", "json"),

    Xml("xml", "xml");

    private String key;

    private String value;

    ReportTypeEnum(String key, String value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (ReportTypeEnum nullEnum : EnumSet.allOf(ReportTypeEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
